<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateGroupResult StructType
 * @subpackage Structs
 */
class UpdateGroupResult extends ExecutionResult
{
    /**
     * The UpdatedGroupCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $UpdatedGroupCode;
    /**
     * Constructor method for UpdateGroupResult
     * @uses UpdateGroupResult::setUpdatedGroupCode()
     * @param string $updatedGroupCode
     */
    public function __construct($updatedGroupCode = null)
    {
        $this
            ->setUpdatedGroupCode($updatedGroupCode);
    }
    /**
     * Get UpdatedGroupCode value
     * @return string|null
     */
    public function getUpdatedGroupCode()
    {
        return $this->UpdatedGroupCode;
    }
    /**
     * Set UpdatedGroupCode value
     * @param string $updatedGroupCode
     * @return \StructType\UpdateGroupResult
     */
    public function setUpdatedGroupCode($updatedGroupCode = null)
    {
        // validation for constraint: string
        if (!is_null($updatedGroupCode) && !is_string($updatedGroupCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($updatedGroupCode, true), gettype($updatedGroupCode)), __LINE__);
        }
        $this->UpdatedGroupCode = $updatedGroupCode;
        return $this;
    }
}
